Page MenuHomePhabricator

Dialects without Wikipedias are still prompted for translation in sidebar
Closed, ResolvedPublic1 Story Points

Description

Steps to repro:

  1. Set user language to British English
  2. Check sidebar of any(?) Wikipedia article
  3. British English appears in gray

  1. Clicking through sends you to the non-existent en-gb.wikipedia.org

Related Objects

StatusAssignedTask
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenPginer-WMF
OpenNone
OpenNone
OpenNone
OpenNone
OpenNone
OpenAmire80
ResolvedAmire80
OpenNone
OpenNone
ResolvedAmire80
ResolvedAmire80
ResolvedKartikMistry
Resolvedsanthosh
ResolvedKartikMistry
ResolvedAmire80
ResolvedAmire80
ResolvedAmire80
ResolvedEsanders
ResolvedNikerabbit
OpenNone
OpenNone

Event Timeline

MC8 created this task.Sep 28 2015, 12:30 PM
MC8 raised the priority of this task from to Needs Triage.
MC8 updated the task description. (Show Details)
MC8 added a project: ContentTranslation.
MC8 added a subscriber: MC8.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 28 2015, 12:30 PM
MC8 updated the task description. (Show Details)Sep 28 2015, 12:36 PM
MC8 set Security to None.
Glaisher updated the task description. (Show Details)Sep 28 2015, 12:41 PM
Amire80 triaged this task as High priority.Sep 29 2015, 5:12 PM
Amire80 added a subscriber: Amire80.

This might be fixed on master, but we'll test after deployment in the end of the week.

Amire80 moved this task from Needs Triage to CX7 on the ContentTranslation board.Sep 29 2015, 5:13 PM
Amire80 moved this task from CX7 to CX6 on the ContentTranslation board.Oct 1 2015, 5:52 PM
Amire80 reopened this task as Open.Oct 2 2015, 4:10 PM

Ooops, no. Still happens. I just verified it with Traditional Chinese (中文(台灣)).

santhosh moved this task from Backlog to QA on the LE-CX7-Sprint 1 board.Oct 6 2015, 12:02 PM
Amire80 reassigned this task from Amire80 to santhosh.Oct 7 2015, 9:43 AM
Arrbee moved this task from CX6 to CX8 candidates on the ContentTranslation board.Oct 8 2015, 10:00 AM
Arrbee moved this task from CX8 candidates to CX7 on the ContentTranslation board.
Amire80 moved this task from CX7 to CX6 on the ContentTranslation board.Oct 8 2015, 4:38 PM
Amire80 moved this task from CX6 to CX7 on the ContentTranslation board.
Amire80 claimed this task.Oct 14 2015, 12:33 PM
Amire80 added a subscriber: santhosh.

Seems fixed for British English and Brazilian Portuguese, but broken for - guess what! - 'nb'. I'll fix.

Arrbee moved this task from QA to In progress on the LE-CX7-Sprint 1 board.Oct 19 2015, 7:04 AM

Change 247263 had a related patch set uploaded (by Amire80):
Fix the behavior of be-tarask and nb in gray interlanguage links

https://gerrit.wikimedia.org/r/247263

Amire80 moved this task from Backlog to In Review on the LE-CX7-Sprint 2 board.Oct 21 2015, 7:24 AM
Amire80 edited a custom field.Oct 24 2015, 12:48 PM

Change 247263 merged by jenkins-bot:
Fix the behavior of be-tarask and nb in gray interlanguage links

https://gerrit.wikimedia.org/r/247263

Nikerabbit moved this task from In Review to QA on the LE-CX7-Sprint 2 board.Oct 30 2015, 3:11 PM
Arrbee added a subscriber: Arrbee.Nov 3 2015, 5:16 PM

Verified for nb. Could not view be-tarask in the interlanguage link section. Someone may need to confirm.

I don't think that it's deployed in production.

Arrbee added a comment.Nov 4 2015, 3:18 AM

Yeah, my bad. Please ignore the earlier comment.

Arrbee added a comment.Dec 2 2015, 3:56 PM

Verified with the English Wikipedia article for Kennedy family. nowiki article exists which is displayed correctly and link to nb is not displayed. be-tarask is also displayed correctly for this and several other articles.

Arrbee closed this task as Resolved.Dec 2 2015, 3:56 PM
Arrbee moved this task from QA to Done on the LE-CX7-Sprint 2 board.Dec 2 2015, 4:01 PM
He7d3r added a subscriber: He7d3r.Dec 13 2015, 6:58 PM

When is this going live on Portuguese Wikipedia? I'm still seeing it at
https://pt.wikipedia.org/wiki/Guaira%C3%A7%C3%A1?uselang=pt-br

Amire80 reopened this task as Open.Dec 13 2015, 7:32 PM

Facepalm.

I was sure that it was fixed long ago.

Thanks for the reproduction instruction, @He7d3r. I hope to get this fixed soon.

Amire80 moved this task from CX7 to CX8 on the ContentTranslation board.Jan 24 2016, 10:28 PM
Amire80 moved this task from Backlog to In Progress on the LE-CX8-Sprint 2 board.Feb 14 2016, 6:12 PM

Change 270599 had a related patch set uploaded (by Amire80):
Remove hyphens from all languages when creating a gray link

https://gerrit.wikimedia.org/r/270599

Change 270599 merged by jenkins-bot:
Remove hyphens from all languages when creating a gray link

https://gerrit.wikimedia.org/r/270599

Arrbee moved this task from Backlog to QA on the LE-CX8-Sprint 3 board.
KartikMistry moved this task from QA to Done on the LE-CX8-Sprint 3 board.Feb 24 2016, 5:25 AM

Verified in production.

Amire80 closed this task as Resolved.Mar 3 2016, 9:34 PM